using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.StoragesContracts;

public interface IMaitreStorage
{
    List<MaitreViewModel> GetFullList();
    List<MaitreViewModel> GetFilteredList(MaitreSearchModel model);
    MaitreViewModel? GetElement(MaitreSearchModel model);
    MaitreViewModel? Insert(MaitreBindingModel model);
    MaitreViewModel? Update(MaitreBindingModel model);
    MaitreViewModel? Delete(MaitreBindingModel model);
}